DCMTK - Patch #520

OFMutex very slow on Windows
2013-04-15 10:57 - Jorg Riesmeier

Status: Closed Start date: 2013-04-15
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: ofstd Compiler:

Operating System:

Description

See this Forum posting:

OFMutex::lock() and OFMutex::unlock is a hotspot in our application (which uses dcmtk, obviously :-) on Windows, but not on
Linux. On Windows it uses a Windows mutex object, which always require a system call to lock and unlock. Have you
considered using a critical section on Windows instead? It is much faster:
http:/preshing.com/20111124/always-use-a-lightweight-mutex

History

#1 - 2013-04-24 09:50 - Michael Onken

Patch proposal on github, see: http:/forum.dcmtk.org/viewtopic.php?f=1&{=3726

#2 - 2013-12-02 19:57 - J6rg Riesmeier

- Tracker changed from Feature to Patch

#3 - 2017-03-13 18:38 - Marco Eichelberg

- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Implemented by commit 5fe9660.
